library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;

entity clockdiv is
    Port ( inp : in std_logic;
           oup : out std_logic);
end clockdiv;

architecture Behavioral of clockdiv is
signal counter : std_logic_vector(17 downto 0);
begin

	count:process(inp) is
	begin
		if inp'event and inp = '1' then
			counter <= counter + '1';
			oup <= counter(15) or counter(16) or counter(17);
		end if;
	end process;

end Behavioral;

