library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;

entity StateCount is
    Port ( clock    : in std_logic;
           stateout : out integer range 1 to 10); 
end StateCount;

architecture Behavioral of StateCount is
signal state : integer range 1 to 10 := 1;
begin
	count:process(clock,state) is
	begin
		if state = 10 then
			if clock'event and clock = '1' then
				state <= 1;
			end if;
		else
			if clock'event and clock = '1' then
				state <= state + 1;
			end if;
		end if;
		stateout <= state;
	end process;
end Behavioral;

